GET http://[host-proxy]/api/relation/MachineAction/schema/?hierarchy=[hierarchy]&format=json&schema=1
{
"$schema": "http://json-schema.org/draft-03/schema",
"type": "object",
"properties": {
"id": {
"title": "Action ID",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"type": {
"title": "Action Type",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"scope": {
"title": "Scope",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"requestor": {
"title": "Requestor",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"requestorComment": {
"title": "Requestor Comment",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"status": {
"title": "Status",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"machineId": {
"title": "Machine ID",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"computerDnsName": {
"title": "Computer DNS Name",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"creationDateTimeUtc": {
"title": "Creation Date Time UTC",
"type": "string",
"format": "date-time",
"readonly": true,
"maxLength": 1024
},
"lastUpdateTimeUtc": {
"title": "Last Update Time UTC",
"type": "string",
"format": "date-time",
"readonly": true,
"maxLength": 1024
},
"relatedFileInfo": {
"title": "Related File Info",
"type": "object",
"properties": {
"fileIdentifier": {
"title": "File Identifier",
"type": "string",
"readonly": true,
"maxLength": 1024
},
"fileIdentifierType": {
"title": "File Identifier Type",
"type": "string",
"readonly": true,
"maxLength": 1024
}
},
"readonly": true
},
"NoInstance": {
"title": "No Instance",
"type": "array",
"items": {
"type": "object",
"properties": {
"name": {
"title": "Name",
"type": "string",
"maxLength": 1024,
"required": true,
"readonly": false,
"is_password": false,
"displayable": false
}
}
}
}
}
}